Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000269Documentation, Examples, and Web SiteWriting with Informpublic2010-08-27 23:532010-10-29 09:23
Reporterdchapes 
Assigned Toemshort 
PrioritynormalSeveritymildReproducibilityN/A
StatusclosedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000269: Release documentation doesn't mention the useful public/private keywords.
DescriptionCurrently for some release items the word "public" or "private" can be added to have the item included or excluded from the generated web page's list of links. This is a very useful feature, especially for the generated solution, which is private by default.

This is not documented anywhere that I could find. If this was an internal only type thing then I suggest making it official just by documenting the current behaviour.
Minimal Source Text To Reproduce
[Don't forget to add a "*** solution" label to at least one skein node.]
Release along with a website and a public solution and private source text.
There is a room.
Additional InformationThe only way I even found out about this is by looking at the cBlorb code in order to modify it to get the solution link. After seeing that it supports both public and private requests I tried the obvious syntax and was pleasantly surprised.

I also note that marking the "source text" as "private" not only doesn't link it but also skips the generation of the typeset HTML version; the only effect the statement has is to copy in source.txt. Personally I'd prefer it to still generate the HTML source; just not to link to it.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000454)
emshort (administrator)
2010-08-29 07:23

This was always meant to be a public feature. I've documented it at the sections on solutions and source text.

This doesn't change the default behavior of source text generation -- for that, I have added a suggestion over at the suggestion site: http://inform7.uservoice.com/forums/57320-general/suggestions/1022357-releasing-have-release-along-with-private-sourc?ref=title [^]

- Issue History
Date Modified Username Field Change
2010-08-27 23:53 dchapes New Issue
2010-08-29 07:23 emshort Note Added: 0000454
2010-08-29 07:23 emshort Assigned To => emshort
2010-08-29 07:23 emshort Status new => resolved
2010-08-29 07:23 emshort Resolution open => fixed
2010-10-29 09:23 jmcgrew Fixed in Version => 6F95
2010-10-29 09:23 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker